Bug 1103646 (CVE-2014-4021) - CVE-2014-4021 xen: Hypervisor heap contents leaked to guests (xsa-100)
Summary: CVE-2014-4021 xen: Hypervisor heap contents leaked to guests (xsa-100)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-4021
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140617,repor...
Depends On: 1103648 1103649 1110316
Blocks: 1103651
TreeView+ depends on / blocked
 
Reported: 2014-06-02 09:32 UTC by Petr Matousek
Modified: 2019-06-08 20:03 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that the Xen hypervisor implementation did not properly clean memory pages previously allocated by the hypervisor. A privileged guest user could potentially use this flaw to read data relating to other guests or the hypervisor itself.
Clone Of:
Environment:
Last Closed: 2014-07-23 17:48:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0926 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2014-07-23 20:04:27 UTC

Description Petr Matousek 2014-06-02 09:32:19 UTC
While memory pages recovered from dying guests are being cleaned to avoid
leaking sensitive information to other guests, memory pages that were in
use by the hypervisor and are eligible to be allocated to guests weren't
being properly cleaned. Such exposure of information would happen through
memory pages freshly allocated to or by the guest.

A malicious guest might be able to read data relating to other guests
or the hypervisor itself.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue. Upstream acknowledges Jan Beulich as the original reporter.

Comment 2 Petr Matousek 2014-06-02 09:34:37 UTC
Statement:

(none)

Comment 6 Petr Matousek 2014-06-17 12:37:49 UTC
Now public via --

  http://seclists.org/oss-sec/2014/q2/549

Comment 7 Petr Matousek 2014-06-17 12:41:18 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1110316]

Comment 8 Fedora Update System 2014-07-04 12:29:12 UTC
xen-4.2.4-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-07-04 12:30:30 UTC
xen-4.3.2-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2014-07-23 16:05:29 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0926 https://rhn.redhat.com/errata/RHSA-2014-0926.html

Comment 11 Martin Prpič 2014-07-28 11:34:33 UTC
IssueDescription:

It was found that the Xen hypervisor implementation did not properly clean memory pages previously allocated by the hypervisor. A privileged guest user could potentially use this flaw to read data relating to other guests or the hypervisor itself.


Note You need to log in before you can comment on or make changes to this bug.